#ifndef __INT_HOOKS_H_
#define __INT_HOOKS_H_

// This structure holds the information about the child processes for each
// interface.
struct int_data {
  char *int_name;
  int  shm_id;
  int  pid;
  struct int_data *next;
};

void init_interface_lookup();
char *get_next_interface();
void cleanup_interface_lookup();
int get_interface_shmid(char *);
int add_int_to_table(char *);
void clean_ints_and_pids();
char *int_list();
int is_real_int(char *);
void build_int_cache();
int update_int_table(char *,int,int);

#endif
